Attitude (Free) now causing map_meta_cap error

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #84779
    Tony
    Participant

    Hi… been using Attitude for years. Now seeing following error logged:

    Notice: map_meta_cap was called <strong>incorrectly</strong>. The post type psppnotif_workflow is not registered, so it may not be reliable to check the capability "edit_post" against a post of that type. Please see <a href="https://wordpress.org/support/article/debugging-in-wordpress/">Debugging in WordPress</a> for more information. (This message was added in version 4.4.0.) in /home/xxxxxxxxxxxxx/wp-includes/functions.php on line 5311

    I have reduced to only three essential plugins active (error logging, SSL etc.) and Attitude theme (without my child theme).
    If I switch to the Twenty Twenty theme, the error goes away. So I think it is an issue with Attitude.

    WP 5.6
    PHP 7.4

    Help, please!

    #85350

    Hi Tony,

    Sorry for the late reply.
    Did you customize the theme main code? The notice that you have shared is not related to the theme code.
    Also please check deactivating all the plugins on by one and let us know.

    Thank you!

    #85355
    Tony
    Participant

    No – I have not modified the Attitude theme itself – only via a child theme.

    However, I am glad to report that this issue went away on its own. I don’t know what it was about or what fixed it but I have not seen it for some good while, so I propose we close this request.
    Apologies for troubling you if it was not a theme issue – it did look like it the time.

    Tony

    #85421

    Hello Tony,

    Nice to hear that the problem is resolved.
    If you have any problem do not hesitate to contact us.

    Thank you!

Viewing 4 posts - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.